hivemall-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Makoto Yui (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVEMALL-209) Build failure with `build.sh`
Date Tue, 17 Jul 2018 09:00:00 GMT

    [ https://issues.apache.org/jira/browse/HIVEMALL-209?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16546213#comment-16546213
] 

Makoto Yui commented on HIVEMALL-209:
-------------------------------------

[~djkooks] Could you set JAVA8_HOME in addition to JAVA_HOME?

{code}
export JAVA_HOME=`/usr/libexec/java_home -v 1.8`

# Java 8 is required for building Spark 2.2 module
export JAVA8_HOME=`/usr/libexec/java_home -v 1.8`

./bin/build.sh
{code}

http://hivemall.incubator.apache.org/release-guide.html

> Build failure with `build.sh`
> -----------------------------
>
>                 Key: HIVEMALL-209
>                 URL: https://issues.apache.org/jira/browse/HIVEMALL-209
>             Project: Hivemall
>          Issue Type: Bug
>            Reporter: Kwang-in (Dennis) JUNG
>            Priority: Trivial
>
> Hello
> Just started with working on source, but it caused build fail with message like `Environment
variable "JAVA8_HOME" is required for this build`. 
> I'm already using Java8. Do I have to add path for JAVA8_HOME? Also, document commented
as it supports Java >= 7.
>  
> Please check.
> Thanks.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message